package main

import (
	"log"
	"os"
	"testing"

	"gopkg.in/yaml.v3"
)

func TestConfig(t *testing.T) {
	cnf := &Config{}
	f, err := os.Open("config.yaml")
	if err != nil {
		log.Panic(err)
	}
	dec := yaml.NewDecoder(f)
	err = dec.Decode(cnf)
	if err != nil {
		log.Panic(err)
	}
	t.Error(cnf)
}
